package com.example.livingai.data.repository.business

import com.example.livingai.domain.model.AnimalRating
import com.example.livingai.domain.repository.business.AnimalRatingRepository
import com.example.livingai.domain.repository.business.DataSource
import kotlinx.coroutines.flow.Flow

class AnimalRatingRepositoryImpl(
    private val dataSource: DataSource
) : AnimalRatingRepository {
    override fun getAnimalRating(id: String): Flow<AnimalRating?> {
        return dataSource.getAnimalRatings(id)
    }

    override suspend fun saveAnimalRating(animalRating: AnimalRating) {
        dataSource.setAnimalRatings(animalRating)
    }

    override suspend fun deleteAnimalRating(id: String) {
        // Same as details, placeholder for now as only full profile delete is requested in DataSource
    }
}
